<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<html>
<head>
<title>Archivo "léame" para ConvertAll</title>
</head>
<body>
<center>
<h1>Archivo "Léame" para ConvertAll</h1>
<h2>Un programa para convertir unidades</h2>

<p>Escrito por Doug Bell<br>
Versión 0.6.1<br>
Septiembre 10, 2015</p>
</center>

<h2>Contenidos</h2>

<ul>
<li><a href="#background">Introducción</a></li>
<li><a href="#features">Características</a></li>
<li><a href="#legal">Cuestiones legales</a>
<li><a href="#sysreq">Requerimientos del sistema</a>
  <ul><li><a href="#linux-sys">Linux</a></li>
  <li><a href="#win-sys">Windows</a></li></ul></li>
<li><a href="#install">Instalación</a>
  <ul><li><a href="#linux-inst">Linux</a></li>
  <li><a href="#win-inst">Windows</a></li></ul></li>
<li><a href="#using">Utilizando ConvertAll</a>
  <ul><li><a href="#basics">Bases</a></li>
  <li><a href="#combine">Combinando unidades</a></li>
  <li><a href="#shortcut">Atajos de teclado</a></li>
  <li><a href="#finder">Buscador de unidades</a></li>
  <li><a href="#options">Opciones</a></li>
  <li><a href="#nonlinear">Conversiones No-Lineares</a></li>
  <li><a href="#cmdline">Uso desde la línea de comandos</a></li></ul></li>
<li><a href="#revs">Historia</a></li>
<li><a href="#contact">¿Preguntas, comentarios, críticas?</a></li>
</ul>

<h2><a name="background"></a>Introducción</h2>

<p>¿Porqué otro convertidor de unidades? Existen muchos por allí. 
Bien, no he podido encontrar uno que funcionara en la forma que 
yo quería.</p>

<p>Con ConvertAll, usted puede combinar las unidades en la forma 
que quiera. Si usted quiere convertir desde pulgadas por década, 
está bien. O desde metro-libra. O desde millas náuticas al cubo. 
Las unidades no tienen porqué tener sentido para los demás.</p>

<p>Dado que no estoy en el negocio del software, distribuyo este 
programa libremente para que cualquiera lo utilice, lo distribuya 
o lo modifique, siempre y cuando no sea incorporado en ningún 
programa propietario. Si le gusta este programa siéntase en 
libertad de darlo a conocer a otros. Y hágame saber qué es lo que 
piensa - mi dirección de e-mail es doug101 AT bellz DOT org</p>

<h2><a name="features"></a>Características</h2>

<ul>

  <li>Las unidades básicas para la conversión pueden ser escritas 
(con completado automático) o seleccionadas desde una lista. </li>

  <li>Las unidades pueden ser elegidas ya sea por una abreviación 
o por su nombre completo. </li>

  <li>Las unidades pueden combinarse con las operaciones "*" y "/". </li>

  <li>Las unidades pueden elevarse a una potencia con el operador "^". </li>

  <li>Las unidades en el denominador pueden agruparse con paréntesis. </li>

  <li>Las unidades con escalas no lineales, como la temperatura, 
pueden también ser convertidas. </li>

  <li>Una lista de unidades puede ser filtrada y se pueden realizar 
búsquedas en ella. </li>

  <li>Combinaciones de unidades ya utilizadas pueden ser seleccionadas 
desde un menú. </li>

  <li>Los números pueden introducirse ya sea en las entradas "Desde" 
o "Hacia" para conversiones en ambas direcciones. </li>

  <li>Expresiones matemáticas básicas pueden ser introducidas en 
lugar de números. </li>

  <li>Existen opciones para controlar el formato de los resultados 
numéricos. </li>

  <li>El archivo de datos cuenta con más de 500 unidades. </li>

  <li>El formato del archivo de datos permite agregar 
unidades muy fácilmente. </li>

  <li>Opciones para la línea de comandos están disponibles 
para realizar conversiones sin interfaz gráfica. </li>

</ul>

<h2><a name="legal"></a>Cuestiones legales</h2>

<p>ConvertAll es software libre; puede usted distribuirlo 
y/o modificarlo bajo los términos de la licencia pública 
general GNU como ha sido publicada por la Free Software 
Foundation; ya sea la versión 2 de la licencia o (a su 
opción) cualquier versión posterior.</p>

<p>Este programa es distribuido con la esperanza de que 
resulte de utilidad, pero SIN NINGUNA GARANTÍA. Mire el 
archivo de <tt>LICENCIA</tt> distribuido con este programa para 
mayor información. </p>

<h2><a name="sysreq"></a>Requerimientos del sistema</h2>

<h3><a name="linux-sys"></a>Linux</h3>

<p>ConvertAll requiere las siguientes librerías:
<ul>
  <li>Python (Versión 3.2 o superior)</li>
  <li>Qt (Versión 4.6 o superior - ver <a
      href="http://www.trolltech.com">Trolltech</a> para más
      información)</li>
  <li>PyQt (Versión 4.8 o superior - ver <a
    href="http://www.riverbankcomputing.co.uk">Riverbank</a>
    para más información)</li>
</ul></p>

<h3><a name="win-sys"></a>Windows</h3>

<p>Utilizando los archivos provistos en la distribución binaria, ConvertAll
debería correr en cualquier computador utilizando Windows 
XP, Vista, 7 o 8.</p>

<h2><a name="install"></a>Instalación</h2>

<h3><a name="linux-inst"></a>Linux</h3>

<p>Extraiga los archivos fuente del archivo tar de convertall, cambie al 
directorio <tt>ConvertAll</tt> en la terminal.  Para una instalación 
básica, simplemente ejecute el siguiente comando como administrador:  
<tt>python install.py</tt></p>

<p>Para ver todas las opciones de instalación, 
utilice: <tt>python install.py -h</tt></p>

<p>Para instalar ConvertAll con un prefijo diferente (el valor por defecto 
es <tt>/usr/local</tt>), utilice:  <tt>python install.py -p
  /prefix/path</tt></p>

<h3><a name="win-inst"></a>Windows</h3>

<p>Simplemente ejecute el archivo de instalación descargado 
(<tt>convertall-x.x.x-install-all.exe</tt>).  Esto instalará el programa 
con sus librerías y opcionalmente creará las asociaciones de archivos y 
los accesos directos.</p>

<p>Si usted desea modificar el código fuente o escribir sus propios 
programas PyQt para Windows, no utilice el procedimiento anterior. En 
cambio, usted necesita instalar <a href="http://www.python.org">Python</a> 
y los binarios para <a
  href="http://www.riverbankcomputing.co.uk">PyQt</a>. Extraiga entonces 
el código fuente y los archivos de datos desde la versión para Linux 
(el archivo tar para convertall) a un directorio de su elección y ejecute 
el archivo <tt>convertall.py</tt>.</p>

<h2><a name="using"></a>Utilizando ConvertAll</h2>

<h3><a name="basics"></a>Bases</h3>

<p>Simplemente escriba el nombre de una unidad en la ventana de edición 
"Desde unidad" (From Unit). Mientras escribe, la lista debajo se moverá para 
mostrar el nombre de la unidad más cercano. Puede o bien escribir el 
nombre completo de la unidad o su abreviación o presionar Enter para 
utilizar la unidad seleccionada en la lista. Por supuesto, clickando 
con el ratón en una unidad de la lista también agregará la unidad a la 
ventana de edición. También es posible utilizar las teclas "arriba" 
y "abajo" para seleccionar una unidad de la lista.</p>

<p>Repita el procedimiento para seleccionar unidades en la ventana de 
edición "A unidad" (To Unit). Cuando esté listo, si las unidades son compatibles 
verá que se activa la ventana de edición numérica debajo de la lista 
de unidades. Un número puede ser escrito en cualquiera de las ventanas 
numéricas y la otra mostrará el resultado de la conversión.</p>

<h3><a name="combine"></a>Combinando unidades</h3>

<p>La verdadera fuerza de ConvertAll descansa en su habilidad para 
combinar múltiples unidades. Simplemente escriba los nombres de las 
unidades con '*' o '/' entre ellas. Esto permite entradas como 
"m*kg" o "km/hr". El símbolo '^' puede utilizarse para exponentes, 
como "cm^3" o "cm*gr/seg^2". Exponentes negativos pueden utilizarse 
para unidades como "seg^-1" (por segundo), pero puede cambiar entre 
los símbolos de multiplicación y división ("cm*seg^-2" se convierte 
en "cm/seg^2").</p>

<p>Multiplicación y división tienen la misma precedencia, por lo que 
son evaluadas de izquierda a derecha. Es posible utilizar paréntesis 
para agrupar unidades en el denominador. De esta forma 
"m / seg / kg" puede ser también escrito como "m / (seg * kg)". 
La versión entre paréntesis es probablemente menos confusa.</p>

<p>Los botones debajo de las listas de unidades ('X', '/', '^2', '^3') 
insertarán también los correspondientes operadores después de la unidad más 
cercana al cursor. Los botones con exponentes reemplazarán los 
exponentes de la unidad.</p>

<p>En modo semejante, haciendo click en una unidad de la lista generalmente 
reemplaza la unidad más cercana al cursor.</p>

<p>El botón de "Limpiar unidades" (Clear Unit) debajo de los botones con los operadores 
puede ser utilizado para vaciar la ventana de edición de unidades y así 
permitir que nuevas unidades sean escritas.</p>

<h3><a name="shortcut"></a>Atajos de teclado</h3>

<p>Cuando se escriben unidades, los espacios son ignorados por lo que 
pueden evitarse. También será generalmente ignorado si la forma 
plural del nombre de la unidad es introducida. Cuando una unidad 
escrita parcialmente es seleccionada de la lista, presionar Enter 
completará el nombre. Además, presionar la tecla tab completará el 
nombre y moverá el cursor al siguiente campo de entrada.</p>

<p>El botón "Unidades recientes" (Recent Unit) abre un menú con las unidades y 
combinaciones de unidades recientemente utilizadas. La combinación de 
unidades actual será reemplazada con cualquier selección de ese menú.</p>

<p>El número a ser convertido puede ser ingresado ya sea en "Desde" o 
en "a". Notación científica estándar puede utilizarse, o una expresión 
incluyendo los operadores matemáticos normales (+, -, *, /, **) y paréntesis 
puede ser escrita.</p>

<h3><a name="finder"></a>Buscador de unidades</h3>

<p>El buscador de unidades (Unit Finder) puede utilizarse para filtrar unidades por 
tipo y/o buscar unidades utilizando una cadena de texto. El buscador 
mostrará una lista de unidades separada en una nueva ventana. La lista 
será actualizada según el filtro y la cadena de búsqueda utilizados.
</p>

<p>Los botones cerca de la parte baja de la ventana del buscador agregarán 
la unidad elegida a las unidades de la ventana principal. El botón 
"Reemplazar" (Replace) reemplazará toda la combinación de unidades con la selección. 
El botón "Insertar" (Insert) cambia solo la parte de la unidad combinada que está 
activa (a la posición del cursor en la ventana principal).</p>

<h3><a name="options"></a>Opciones</h3>

<p>El botón "Opciones..." (Options) permite cambiar varios valores por defecto 
de la configuración. Estos valores son automáticamente almacenados y 
por lo tanto ConvertAll iniciará con los valores utilizados por última vez.</p>

<p>La primer opción controla la forma en que se muestran los resultados numéricos, 
incluyendo el uso de notación científica y el número de decimales a utilizar. 
Tenga cuidado con seleccionar el número de decimales muy bajo ya que podría 
significar una importante pérdida de precisión. Seis o más dígitos es 
recomendable (ocho es el valor por defecto).</p>

<p>Sigue la opción para configurar el número de unidades recientemente utilizadas a 
ser salvadas. Configurando este valor en cero deshabilita el botón "Unidades recientes".</p>

<p>A continuación se tiene la opción de ocultar los botones con los operadores (x, /, 
^2, ^3, Clear Unit and Recent Unit). Esto puede utilizarse para salvar espacio
en el caso que el teclado sea utilizado para entrar los operadores.</p>

<p>La última opción controla los colores de los campos de texto.</p>

<h3><a name="nonlinear"></a>Conversiones no-lineares</h3>

<p>La conversión de algunas unidades es no linear. Ejemplos de esto 
incluyen las escalas de temperatura Fahrenheit y Celsius (debido a los diferentes 
puntos para el cero) y el "American Wire Gauge" que es logarítmica. Las 
unidades no lineares están etiquetadas como tales en la columna comentarios (Comments) 
situada a la derecha de la columna "Tipo" (Type).</p>

<p>Estas unidades pueden ser convertidas solo cuando no están combinadas con 
otras unidades o utilizadas con un exponente. De otro modo la conversión no 
tendrá significado.</p>

<h3><a name="cmdline"></a>Uso desde la línea de comandos</h3>

<p>Conversiones pueden ser efectuadas desde la línea de comandos (consola Linux o DOS) 
sin invocar la interfaz gráfica. Es suficiente entrar el comando 
("convertall" en Linux, "convertall_dos" con el binario para Windows), el 
número, la unidad desde la que se quiere convertir y la unidad a la que se 
quiere llegar (separada por espacios) para realizar la conversión. 
Los nombres de las unidades que contengan espacios deberán ser rodeados de comillas. 
O, para que el programa pregunte por cada unidad, utilizar la opción "-i" 
("convertall -i" en Linux, "convertall_dos -i" en Windows).</p>

<p>Después de la conversión, ConvertAll preguntará por un nuevo número 
para realizar la misma conversión. Puede utilizarse "n" para iniciar una nueva 
conversión, "r" para invertir la conversión o "q" para salir del programa.</p>

<p>Para una lista detallada de las opciones, utilice la opción "-h" ("convertall
-h" en Linux, "convertall_dos -h" en Windows).</p>

<h2><a name="revs"></a>Historia</h2>

<p>La revisión histórica completa puede ser encontrada en la versión inglesa
de este archivo.</p>

<h2><a name="contact"></a>¿Preguntas, comentarios, críticas?</h2>

<p>Puedo ser contactado por email a: doug101 AT bellz DOT org<br> 
Agradezco cualquier feedback, incluyendo reporte de cualquier error 
que usted encuentre. Además, puede usted también consultar periódicamente 
el sitio <a
  href="http://www.bellz.org">www.bellz.org</a> por cualquier 
actualización.</p>

</body>
</html>
